Summary:	Modern desktop calculator
Summary(pl.UTF-8):	Nowoczesny kalkulator
Name:		qalculate-gtk
Version:	5.6.0
Release:	1
License:	GPL
Group:		Applications/Math
Source0:	https://github.com/Qalculate/qalculate-gtk/releases/download/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	99b536134f3501ffc964c55d42948a56
URL:		https://qalculate.github.io/
BuildRequires:	automake
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	glib2-devel >= 1:2.4
BuildRequires:	gtk+3-devel >= 3.12
BuildRequires:	intltool
BuildRequires:	libqalculate-devel >= %{version}
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.3.8
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 2.000
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.4
Requires:	gtk+3 >= 3.12
Requires:	hicolor-icon-theme
Requires:	libqalculate >= %{version}
Suggests:	gnuplot
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qalculate is a modern multi-purpose desktop calculator. It is small
and simple to use but with much power. Features include arbitrary
precision, plotting, and a graphical interface (GTK+).

%description -l pl.UTF-8
Qalculate jest nowoczesnym, wielozadaniowym kalkulatorem. Jest mały i
prosty w użyciu, lecz posiada duże możliwości. Podstawowymi cechami
programu są nieograniczona precyzja, możliwość rysowania wykresów i
graficzny interfejs (GTK+).

%package search-provider
Summary:	Qalculate-gtk search provider for GNOME Shell
Summary(pl.UTF-8):	Usługa wyszukiwania Qalculate-gtk dla powłoki GNOME
Group:		Applications/Math
Requires:	%{name} = %{version}-%{release}
Requires:	gnome-shell >= 3

%description search-provider
Qalculate-gtk search provider for GNOME Shell.

%description search-provider -l pl.UTF-8
Usługa wyszukiwania Qalculate-gtk dla powłoki GNOME.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged in doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/qalculate-gtk

%{__mv} $RPM_BUILD_ROOT%{_localedir}/pt{_PT,}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO doc/html
%attr(755,root,root) %{_bindir}/qalculate-gtk
%{_desktopdir}/qalculate-gtk.desktop
%{_mandir}/man1/qalculate-gtk.1*
%{_iconsdir}/hicolor/*x*/apps/qalculate.png
%{_iconsdir}/hicolor/scalable/apps/qalculate.svg
%{_datadir}/metainfo/qalculate-gtk.appdata.xml

%files search-provider
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/qalculate-search-provider
%{_datadir}/dbus-1/services/io.github.Qalculate.SearchProvider.service
%{_datadir}/gnome-shell/search-providers/io.github.Qalculate.search-provider.ini
%changelog
* Mon Jun 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qalculate-gtk.git;a=log;h=master

* Mon Jun 30 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 12710af
- up to 5.6.0

* Thu Mar 06 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 66e2a9a
- typo, rel. 2

* Thu Mar 06 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ba4fd59
- up to 5.5.1

* Thu Jan 23 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6265b00
- up to 5.5.0

* Tue Nov 26 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 70dd003
- up to 5.4.0

* Wed Nov 06 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b629f88
- up to 5.3.0

* Tue Jul 02 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8d8b71a
- up to 5.2.0

* Tue May 07 2024 Jakub Bogusz <qboosh@pld-linux.org> 810d555
- scrollkeeper is not used here since long time; but update icon cache instead

* Tue May 07 2024 Jakub Bogusz <qboosh@pld-linux.org> abbdd1b
- canonicalize path, more verbose files

* Tue May 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 918c32a
- LANG: pt, rel: 2

* Tue May 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 80ee868
- up to 5.1.0

* Tue Mar 12 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 58907f9
- up to 5.0.0

* Tue Nov 28 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 81209c3
- up to 4.9.0

* Tue Aug 22 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8e4135f
- up to 4.8.0

* Tue Jul 04 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8c57521
- up to 4.7.0

* Mon Apr 17 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c3f2723
- up to 4.6.1

* Tue Mar 07 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 04ad067
- up to 4.6.0

* Tue Jan 24 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 33d6f8d
- up to 4.5.1

* Thu Oct 13 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7c9824a
- URL update

* Thu Oct 13 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3bdf4bf
- up to 4.3.0

